worker_processes 1;

events { worker_connections 1024; }

http {
    server {
        listen 80;
        absolute_redirect off;
        client_max_body_size 10M;

        location / {
            location /wbs-api/ {
                proxy_pass         http://workbench-service:8000/;
            }
            location /mds-api/ {
                proxy_pass         http://medical-data-service:8000/;
            }
            location /mps-api/ {
                proxy_pass         http://marketplace-service-mock:8000/;
            }
            location /app-api/ {
                proxy_pass         http://app-service:8000/;
            }
            location /jes-api/ {
                proxy_pass         http://job-execution-service:8000/;
            }
            location /aaa-api/ {
                proxy_pass         http://aaa-service-mock:8000/;
            }
            location /wbc3/ {
                proxy_pass         http://workbench-client-v3:80/;
            }
            location /wbc3-alt-user/ {
                proxy_pass         http://workbench-client-v3-alt-user:80/;
            }
            location /sample-app-ui/ {
                proxy_pass         http://workbench-client-v3-sample-ui:80/;
            }
        }
    }
}
